<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.pqs9900.mapper.filebackup.FileBackUpMapper">

    <resultMap id="filelist" type="com.pqs9900.pojo.filebackup.FileBackUp">
        <result property="userLogIndex" column="USERLOG_INDEX" />
        <result property="userIndex" column="USER_INDEX" />
        <result property="userLogDescribe" column="USERLOG_DESCRIBE" />
        <result property="type" column="TYPE" />
        <result property="updateTime" column="UPDATETIME" />
        <result property="ip" column="IP" />
        <result property="system" column="SYSTYPE" />
        <result property="number" column="STATE" />
        <result property="result" column="RESULT" />
    </resultMap>

    <select id="getFileList" resultMap="filelist">
        select t.* from pqs_userlog t order by updatetime asc
    </select>

    <delete id="deleteUserlog">
        delete from pqs_userlog
    </delete>
</mapper>